package com.dao;

import com.entity.Users;
import java.util.List;
import java.util.Map;



public interface UsersMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(Users users);

    int insertSelective(Users users);

    Users selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Users users);

    int updateByPrimaryKeyWithBLOBs(Users users);

    int updateByPrimaryKey(Users users);

    Users checkName(Map<String, Object> name);
    //  查询所有信息
    List<Users> getAll(Map<String, Object> map);
    //  获取条数
    int getCount(Map<String, Object> po);
    //  分页
    List<Users> getByPage(Map<String, Object> map);
   //  验证登录
    Users login(Map<String, Object> po);


}
